International Clock

Overview:

  • Allows the user to define custom clocks for various time zones
  • User can add/delete clocks
  • Friendly clock faces
  • Different clock styles and sizes
  • Global shorcuts that can be called from any application
  • Tray icon and hide taskbar option
  • User can define time zones multiple of 15 minutes
  • Displays an unlimited number of clocks simultaneously
  • 24H or AM/PM display
  • Has daylight saving time feature
  • Displays a list of cities around the world with their GMT offset
  • Transparency options
  • Wake up to MP3/WAV files
  • Useful if you have friends/relatives in different countries/time zones
  • Competitve price
  • Calendar function
  • World Map function that shows night and day areas on the globe
  • Free unlimited technical support
  • Free upgrades to future versions

For updates and support contact us at support@canciu.net or go to http://www.canciu.net/


Main Window Options

The main window of International Clock is resizable. You can size it to fit your needs.
You can drag clocks across the window: click on a clock using the left mouse button and then move the clock (holding the left mouse button pressed) to the desired position, and release the left mouse button. International Clock will automatically snap the clocks to an invisible grid.
If you drag one clock onto the position occupied by another (the new position of the clock is the closest rectangle in the invisible grid of clocks) the clocks will swap positions.
You can click the bell near a clock that has an alarm set, to quickly access the alarm options for that clock.


Create Clock

You must enter the clock's name, its GMT offset; you must select a style (clock face) for your clock.
If you don't know the GMT offset of your location, then press "Locations" - you may find your location here, or one very close to you.


Delete Clock

You must select a clock to delete from the combo box; after you delete a clock the window will not close, allowing you to delete more clocks.


Locations

Select the location you desire from the list, or one very close to it, that you know is in the same timezone, then press "Insert".


Modify Clock

In this dialog you can modify an exsiting clock.
First, you must select the name of the clock you want to modify.
You can select a new name for the clock.
You can press the "locations" button to choose a new location for this clock.
You can choose a new style, or you may keep the existing style.
You may want to change the "Daylight saving time option" if you know the location changed this.


Set Alarm

To set an alarm you must follow the steps described below:
First, you must select the clock for which you want to set the alarm.
You must enter a name for the alarm (this is necessary to distinguish between multiple alarms set for the same clock).
You must select a date when the alarm must ring. (If you choose that the alarm should ring daily, this information is disregarded; if you set this alarm a weekly alarm, then only the day of the week for the specified date will be considered).
Select a time when the alarm should ring.
Select the source file for the alarm (MP3, WAV, etc).
Select a text that will be displayed when the alarm starts ringing.

The alarm should ring: you must choose whether you want this alarm to only ring once (at the selected date), or whether you want it to ring daily or weekly.

Note: If an alarm is set to ring while the wake up dialog is displayed for a second alarm, the first alarm will be snoozed.


Set Local Hour

You must select the GMT offset of your location. This is necessary in order for the time to be displayed correctly.
If you don't know the GMT offset of your location, then press "Locations" - here you may find your location or one very close to you.


Advanced Settings

Snooze time: This is the period of time that an alarm will be snoozed with.
Clock style: Use this combo box to select a new style for the clocks
Use bold font for clock titles/digital time: Choose to display the clock titles/digital time with or without a bold font
Start day for calendar: Choose the starting day of the week for the Calendar feature.

Specify here what International clock should display in the taskbar button, if visible.
This should apply only when minimized: Check this box and International Clock will consider the options below only when the clock is minimized. Otherwise the taskbar will display the application title.

Here you can specify global shortcuts for various operations International Clock can perform.
Fade after: specify after how many seconds the clock will fade, after you activated the shortcut "Bring to front and fade away"
These shortcuts work from any program.

Show tray icon: You can choose to have an icon displayed in the system tray when International Clock is running.
Hide taskbar button: Select this to hide the application's taskbar button.
Hide to tray application on minimize: Check this option to hide the taskbar button when International Clock is minimized.


Wake Up

This dialog is presented to you when an alarm must ring.
If you press OK and this alarm is set to ring Just Once, then the alarm will be deleted; otherwise, if the alarm is a daily or weekly alarm, it will be turned off for now, but will ring the next day, or the next week.
If you press Snooze, then the alarm will be snoozed. If this is a daily or weekly alarm, the new alarm (the snoozed alarm) will not be saved in the settings file; however, if you go to "Set Alarm", the time will appear shifted by a number of minutes (the snooze period). You will see the alarm having its original time when you press the "OK" button in the "Wake Up" dialog for this alarm, or if you close and restart International Clock.


Advanced Settings

Calendar

Use the arrows to select the year for the calendar.


Advanced Settings

World Map

This is how the Earth looks at this moment.
The darker areas indicate areas on Earth where the sun is below the horizon, and the lighter areas indicate areas on Earth where the sun is above the horizon.


Other Products

Linx

This is a bookmark manager. It has Unicode and FTP support. It imports and exports links from Opera, Netscape, Mozilla and Internet Explorer. Also has support for NetCaptor, NeoPlanet, MYIE2, SlimBrowser, AvantBrowser. You can export links to customizable files and grab current links in open windows of browsers. Password protection for files, URL scanning, duplicate removal and URL validation are supported. Has advanced search features; the user can add extra information tags to each link, so that other information like telephone numbers can be easily accesible. Has Internet Explorer toolbar for easy browsing.

Download Linx

Keyboard Language Manager

This program is designed to enhance your office productivity by allowing you to switch instantly between different language templates (templates that you can create) for your keyboard using the same font. Keyboard Language Manager works together with Microsoft Word 97 or later. Keyboard Language Manager features include: MS Word files are not modified, when you exit the program, Word will behave as it normally does; has the ability to use multiple character strings for one shortcut key; has the ability to use different fonts in the same string for one shortcut key; you can instantly switch between multiple language templates you can create; you can instantly turnoff a language template, reverting to Microsoft Word's settings; the program has easy template management features.

Download Keyboard Language Manager